@echo off&cls

:START

path %JLINKDIR%
if "%PCTPORT%"=="" SET PCTPORT=%DEFPORT%
echo PORT=[%PCTPORT%] (%1)

if "%1"=="boot" goto ONLY_DOWN_BOOT
if "%1"=="qd"  	goto ONLY_DOWN_QD
if "%1"=="sys" 	goto ONLY_DOWN_SYS
if "%1"=="res" 	goto ONLY_DOWN_RES
if "%1"=="ksp" 	goto ONLY_DOWN_KSP
if "%1"=="par" 	goto ONLY_DOWN_PAR
if "%1"=="ksp_tms" 	goto ONLY_DOWN_KSP_TMS

JLink.exe  .\config\_boot_.inc
echo JLinkRet = %errorlevel% 

:DOWN_QD
.\tools\kdl.exe -general,uartdev=%PCTPORT%,waitcon=0 -downkos,kospath=.\cert\Develop_Channel_Cert_ZT.kos
if %errorlevel%==1 goto ERR_QD 

:DOWN_SYS
.\tools\kdl.exe -general,uartdev=%PCTPORT%,waitcon=0 -downkos,kospath=%FILE_SYS%
if %errorlevel%==1 goto ERR_SYS 

:DOWN_RES
.\tools\pct.exe -general,uartdev=%PCTPORT% -downres,respath=%FILE_RES%,chkbcc=0
if %errorlevel%==1 goto ERR_RES 

:DOWN_KSP
.\tools\pct.exe -general,uartdev=%PCTPORT% -downksp,ksppath=%FILE_KSP%,chkbcc=0
if %errorlevel%==1 goto ERR_KSP

:DOWN_PAR
.\tools\pct.exe -general,uartdev=%PCTPORT% -downksp,ksppath=%FILE_PAR%
if %errorlevel%==1 goto ERR_PAR

:DOWN_KSP_TMS
.\tools\pct.exe -general,uartdev=%PCTPORT% -downksp,ksppath=%FILE_KSP_TMS%,chkbcc=0
if %errorlevel%==1 goto ERR_KSP_TMS

echo ɡ
pause 
goto START

:ERR_QD
echo ֤ʧ!
timeout /t 3 /nobreak > nul  
goto DOWN_QD

:ERR_SYS
echo ϵͳʧ!
timeout /t 3 /nobreak > nul  
goto DOWN_SYS

:ERR_RES
echo Դļʧ!
timeout /t 3 /nobreak > nul  
goto DOWN_RES

:ERR_KSP
echo Ӧʧ!
timeout /t 3 /nobreak > nul  
goto DOWN_KSP

:ERR_PAR
echo Ӧòʧ!
timeout /t 3 /nobreak > nul  
goto DOWN_PAR

:ERR_KSP_TMS
echo TMSӦʧ!
timeout /t 3 /nobreak > nul  
goto DOWN_KSP_TMS

:ONLY_DOWN_BOOT
JLink.exe  .\config\_boot_.inc
echo JLinkRet = %errorlevel% 
goto EXIT

:ONLY_DOWN_QD
.\tools\kdl.exe -general,uartdev=%PCTPORT%,waitcon=0 -downkos,kospath=.\cert\Develop_Channel_Cert_ZT.kos
goto EXIT

:ONLY_DOWN_SYS
.\tools\kdl.exe -general,uartdev=%PCTPORT%,waitcon=0 -downkos,kospath=%FILE_SYS%
goto EXIT

:ONLY_DOWN_RES
.\tools\pct.exe -general,uartdev=%PCTPORT% -downres,respath=%FILE_RES%,chkbcc=0
goto EXIT

:ONLY_DOWN_KSP_TMS


:ONLY_DOWN_KSP
.\tools\pct.exe -general,uartdev=%DEFPORT% -sysunit,cmdline=del_all_app  -sysunit,cmdline=list_app -clearfs
.\tools\pct.exe -general,uartdev=%PCTPORT% -downksp,ksppath=%FILE_KSP_TMS%,chkbcc=0
.\tools\pct.exe -general,uartdev=%PCTPORT% -downksp,ksppath=%FILE_KSP%,chkbcc=0
.\tools\pct.exe -general,uartdev=%PCTPORT% -sysunit,cmdline=set_auto_run:yes
.\tools\pct.exe -general,uartdev=%PCTPORT% -sysunit,cmdline=set_def_app:CUP_POS

goto EXIT

:ONLY_DOWN_PAR
.\tools\pct.exe -general,uartdev=%PCTPORT% -downksp,ksppath=%FILE_PAR%
goto EXIT



:EXIT
pause
exit
